Package mvpa :: Package clfs :: Package sg :: Module svm

[hide private]
[frames] | no frames]

# Module svm

source code

Wrap the libsvm package into a very simple class interface.

Classes | [hide private]

| SVM Support Vector Machine Classifier(s) based on Shogun

Functions | [hide private]

_setdebug(obj, partname) Helper to set level of debugging output for SG :Parameters: obj In SG debug output seems to be set per every object partname : basestring For what kind of object we are talking about... | source code

_tosg(data) Draft helper function to convert data we have into SG suitable format | source code

Variables | [hide private]

| _DEV__doc__ = ``...``
| _M_DEBUG = `shogun.Kernel.MSG_DEBUG`
| _M_ERROR = `shogun.Kernel.MSG_ERROR`

Imports: N, _random_seed, externals, shogun, operator, Parameter, warning, FailedToTrainError, MulticlassClassifier, _SVM, StateVariable, Sensitivity, debug

Function Details | [hide private]

### _setdebug(obj, partname)

source code

    Helper to set level of debugging output for SG
    :Parameters:
      obj
        In SG debug output seems to be set per every object
      partname : basestring
        For what kind of object we are talking about... could be automated
        later on (TODO)

### _tosg(data)

source code

Draft helper function to convert data we have into SG suitable format

TODO: Support different datatypes

Variables Details | [hide private]

### _DEV__doc__

Value:

      """

      TODOs:
       * dual-license under GPL for use of SG?
       * for recent versions add ability to specify/parametrize normalizatio
      n
         scheme for the kernel, and reuse 'scale' now for the normalizer
       * Add support for simplified linear classifiers (which do not require
      ...